module vs.action.inputdevice;



private import gedo.input.joystick;
private import gedo.math.direction;
private import vs.action.button;



public class ActionInputDevice
{
public:
	struct Axis
	{
		Vector direction;
		float  length;
	}


	void update()
	{
		_axis.length      = 0.0;
		_axis.direction[] = Direction.FRONT[];
	}


	Axis* axis()
	{
		return &_axis;
	}


	Button[] buttons()
	{
		return _buttons;
	}


	void cplevel(uint level)
	{
	}


	void getLocalAxis(Vector a)
	{
		a[] = 0.0;
	}


protected:
	Button[ActionButton.max+1] _buttons;
	Axis                       _axis;
}
